## org.biojava.bio.seq.io.game
Class GAMEAnnotationHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.seq.io.game.StAXFeatureHandler
              org.biojava.bio.seq.io.game.GAMEAnnotationHandler

All Implemented Interfaces:
  GAMEFeatureCallbackItf, StAXContentHandler

    public class GAMEAnnotationHandler

extends StAXFeatureHandler
implements GAMEFeatureCallbackItf

Handles the GAME <annotation> element

Since:
  1.2
Author:
  David Huen

Field Summary
`static StAXHandlerFactory` `GAME_ANNOTATION_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.game.StAXFeatureHandler
`callbackStack, endLoc, featureListener, featureTemplate, stackLevel, startLoc`

Method Summary
`protected Feature.Template` `createTemplate()` generates a very basic Template for the feature with SmallAnnotation in the annotation field.
`void` `endElementHandler(String nsURI, String localName, String qName, StAXContentHandler handler)` Element specific exit handler Subclass to do anything useful.
`void` `reportFeature(Location loc)` Allows nesting class that manages a gene template to gain information about its extent from nested elements.
`void` `reportStrand(StrandedFeature.Strand strand)`
`void` `startElementHandler(String nsURI, String localName, String qName, Attributes attrs)` Element-specific handler.

Methods inherited from class org.biojava.bio.seq.io.game.StAXFeatureHandler
`addHandler, endElement, getFeatureListener, getHandlerStackIterator, getLevel, pop, push, setFeatureListener, setHandlerCharacteristics, startElement`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GAME_ANNOTATION_HANDLER_FACTORY

    public static final StAXHandlerFactory GAME_ANNOTATION_HANDLER_FACTORY

Method Detail

### createTemplate

    protected Feature.Template createTemplate()

  Description copied from class: `StAXFeatureHandler`
  generates a very basic Template for the feature with SmallAnnotation in the annotation field.

  Override if you wish a more specialised Template.

  Overrides:
    `createTemplate` in class `StAXFeatureHandler`

### reportFeature

    public void reportFeature(Location loc)

  Description copied from interface: `GAMEFeatureCallbackItf`
  Allows nesting class that manages a gene template to gain information about its extent from nested elements. Strand is reported separately as some gene features may not have strand.

  Specified by:
    `reportFeature` in interface `GAMEFeatureCallbackItf`

### reportStrand

    public void reportStrand(StrandedFeature.Strand strand)

  Specified by:
    `reportStrand` in interface `GAMEFeatureCallbackItf`

### startElementHandler

    public void startElementHandler(String nsURI,
                                    String localName,
                                    String qName,
                                    Attributes attrs)

  Description copied from class: `StAXFeatureHandler`
  Element-specific handler. Subclass this to do something useful!

  Overrides:
    `startElementHandler` in class `StAXFeatureHandler`

### endElementHandler

    public void endElementHandler(String nsURI,
                                  String localName,
                                  String qName,
                                  StAXContentHandler handler)

  Description copied from class: `StAXFeatureHandler`
  Element specific exit handler Subclass to do anything useful.

  Overrides:
    `endElementHandler` in class `StAXFeatureHandler`